.TH urldecode 1 "2007"
.SH urldecode
urldecode \- decode urlencoded variables
.SH SYNOPSIS
#ifdef REGEX
.B urldecode  [ -V | -c command | -d directory | -D directory [ -M maxbytes ]] varname-regex [varname-regex \.\.\.]
#else /* !REGEX */
.B urldecode  [ -V | -c command | -d directory | -D directory [ -M maxbytes ]] varname [varname \.\.\.]
#endif /* !REGEX */
.SH DESCRIPTION
The urldecode program takes a set of URL-encoded environment variables on
stdin, and some variable names specified on the command line, and will decode
the values of the variables that are specified, normally outputting them
to stdout in the form "name=value".  All variables whose names do not match
the variable names specified on the command line are ignored.
#ifdef REGEX
.PP
Variable names are POSIX regular expressions.
#endif /* REGEX */
.SH OPTIONS
.TP
.B \-V
Display version information and exit.
.TP
.B \-c commmand
Run the specified command with all the name=value settings instantiated
in its environment. 
#ifdef ENV_OVERWRITE
If an environment variable of that name already exists, it is overwritten.
#else /* !ENV_OVERWRITE */
If an environment variable of that name already exists, it is not overwritten.
#endif /* ENV_OVERWRITE */
.TP
.B \-d directory
Create the specified directory (which must not exist) and, for
each specified variable, create a file in that directory, the name
of which is the variable name, and the content of which is the variable
value.
.TP
.B \-D directory
Expect mutipart-encoded data on stdin instead of url-encoded data. Create the specified directory (which must not exist) and, for
each specified variable, create a file in that directory, the name
of which is the variable name, and the content of which is the variable
value.  Because multipart-encoding is generally used for binary data,
only the variable name, not its value, is output to stdout, one per line.
If the variable corresponds to a file, filename="myfilename" and 
contenttype="content/type" are output following the name, on the same line.
.SH IDIOSYNCRASIES
CRLF is mapped to LF in the UNIX fashion.
.SH AUTHOR
John DiMarco <jdd@cs.toronto.edu>
